Package org.apache.sling.feature.cpconverter

## Class ConverterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.sling.feature.cpconverter.ConverterException

All Implemented Interfaces:
  `Serializable`

    public class ConverterException
    extends Exception

A converter exception is thrown when the conversion fails due to errors/problems in the converted source package(s).

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ConverterException​(String message)` Create a new exception
`ConverterException​(String message, Throwable cause)` Create a new exception

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConverterException

    public ConverterException​(String message)

Create a new exception

Parameters:
  `message` - A message to be prevented to the user of the tool

#### ConverterException

    public ConverterException​(String message,
                              Throwable cause)

Create a new exception

Parameters:
  `message` - A message to be prevented to the user of the tool
  `cause` - The cause